//
//  CustomAlertViewController.m
//  CustomAlert
//
//  Created by Joris Kluivers on 4/2/09.
//  Copyright Tarento Software Solutions & Projects 2009. All rights reserved.
//

#import "CustomAlertViewController.h"

#import "JKCustomAlert.h"

@implementation CustomAlertViewController

#pragma mark -
#pragma mark Handle the custom alert

- (IBAction) showAlert:(id)sender {
	UIImage *backgroundImage = [UIImage imageNamed:@"Splatter.png"];
	alert = [[JKCustomAlert alloc] initWithImage:backgroundImage text:NSLocalizedString(@"game over", nil)];
	[alert show];
	
	// dismiss alert after 4 seconds
	[self performSelector:@selector(hideAlert) withObject:nil afterDelay:4.0];
}

- (void) hideAlert {
	[alert dismissWithClickedButtonIndex:0 animated:YES];
}

- (void)alertView:(UIAlertView *)alertView didDismissWithButtonIndex:(NSInteger)buttonIndex {
	[alertView release];
}

#pragma mark -
#pragma mark The usual cleanup methods

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
